i=0
seed_list=(1110 2110 3110 4110 5110)
jump_time=(50 100 150 200 250 300 400 500)
iteration_list=(350 400 450 500 550 600 700 800)

for _jump in ${jump_time[@]}
    do
    
    for _seed in ${seed_list[@]}
        do
        
        now=$(date +"%Y%m%d%H%M%S")
        
        python train.py \
            configs/base.yml \
            configs/data/cmnist_exact_eval.yml \
            configs/model/mlp_bn.yml \
            configs/updater/irm.yml \
            configs/optimizer/adam_nm.yml \
            configs/extension/jump_extension.yml \
            --attr \
            gpu=0 \
            train_acc_eval_interval=50 \
            test_acc_eval_interval=50 \
            iteration=${iteration_list[$i]} \
            debug=True \
            seed=${_seed} \
            model.args.n_layers=4 \
            model.args.hidden_dim=1000 \
            model.args.nobias=False \
            opt.args.alpha=0.0005 \
            opt.wd_rate=0.0 \
            updater.args.penalty_weight=10 \
            updater.args.loss_normalize=True \
            jump_extension.args.penalty_jump_at=${_jump} \
            jump_extension.args.penalty_jump_to=1000000.0 \
            result_ext_name=${now}

        done
  
    let i++
    done
